curl --request GET \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/gift/temp/list \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": [
{
"card_temp_id": "293389550603997184",
"image_url": "https://test-gateio-nft.s3.ap-northeast-1.amazonaws.com/image/688c908c72b1cb9b78039de44003b4f8de4009f5.jpg",
"title_en": "anlitest",
"title_cn": "anlitest常用",
"cover_type": "theme"
}
]
}Get the list of available gift card cover templates.
curl --request GET \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/gift/temp/list \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": [
{
"card_temp_id": "293389550603997184",
"image_url": "https://test-gateio-nft.s3.ap-northeast-1.amazonaws.com/image/688c908c72b1cb9b78039de44003b4f8de4009f5.jpg",
"title_en": "anlitest",
"title_cn": "anlitest常用",
"cover_type": "theme"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /payment/open/institution/v1/pay/gift/temp/list endpoint. The full schema, parameters, and examples are rendered from the linked OpenAPI definition above.
Merchant client ID
"mZ96D37oKk-HrWJc"
Signature
"b8c4705ff4c1357f2a27925dd180c1e1f4a244148f312a2dee5afbcc6f4b150e9ffceee455c5a298f895d43a64ee829eebdfd262539d45c41f7aee4336fd8c8c"
Timestamp (milliseconds)
"1738934053475"
Nonce
"5417061546"
Required delegated-subject header. Provide the initiating account ID for this request. For institution merchant APIs, this is typically the target sub-account ID; for institution charge and transfer APIs, it can be either an institution account ID or a sub-account ID.